This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 868152

Summary: python-tables-2.3.1-5.fc18 is FTBFS on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: python-tablesAssignee: Thibault North <thibault.north>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: thibault.north
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-29 08:42:31 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 245418    

Description Peter Robinson 2012-10-19 03:29:03 EDT
python-tables-2.3.1-5.fc18 is FTBFS on ARMv7hl.

For some reason it completes on armv5tel

relevant build: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1189361

excerpt:

PyTables version:  2.3.1
HDF5 version:      1.8.9
NumPy version:     1.7.0b2
Numexpr version:   2.0.1 (not using Intel's VML/MKL)
Zlib version:      1.2.7 (in Python interpreter)
LZO version:       2.06 (Aug 12 2011)
BZIP2 version:     1.0.6 (6-Sept-2010)
Blosc version:     1.1.2 (2010-11-04)
Cython version:    0.17
Python version:    2.7.3 (default, Aug 26 2012, 05:16:24) 
[GCC 4.7.1 20120720 (Red Hat 4.7.1-5)]
Platform:          linux2-armv7l
Byte-ordering:     little
Detected cores:    2
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Performing only a light (yet comprehensive) subset of the test suite.
If you want a more complete test, try passing the --heavy flag to this script
(or set the 'heavy' parameter in case you are using tables.test() call).
The whole suite will take more than 4 hours to complete on a relatively
modern CPU and around 512 MB of main memory.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................E.....E.....E.....E................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................../var/tmp/rpm-tmp.fTOh2s: line 34: 32320 Bus error               python bench/check_all.py
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.fTOh2s (%check)
    Bad exit status from /var/tmp/rpm-tmp.fTOh2s (%check)
Child returncode was: 1
Comment 1 Peter Robinson 2012-10-29 08:42:31 EDT
Confirmed it fixes FTBFS on ARM